Subject: [PATCH] ARM: tegra: add device tree for SHIELD

From: [email-masked] (Alexandre Courbot)
Date: Wed, 26 Feb 2014 14:12:16 +0900

On 02/26/2014 02:02 PM, Stephen Warren wrote:
> On 02/25/2014 09:58 PM, Alexandre Courbot wrote:
>> On 02/26/2014 07:38 AM, Stephen Warren wrote:
>>> On 02/24/2014 07:13 PM, Alexandre Courbot wrote:
>>>> On 02/25/2014 03:53 AM, Stephen Warren wrote:
>>>>> On 02/24/2014 03:26 AM, Alexandre Courbot wrote:
>>>>>> Add a device tree for NVIDIA SHIELD. The set of enabled features is
>>>>>> still minimal with no display option (although HDMI should be easy
>>>>>> to get to work) and USB requiring external power.
> ...
>>>> For the Wifi chip, non-removable would be the correct setting
>>>> hardware-wise, but there is a trap: the chip has its reset line asserted
>>>> at boot-time, and you need to set GPIO 229 to de-assert it. Only after
>>>> that will the device be detected on the SDIO bus. Since it lacks a CD
>>>> line, it must be polled, hence the broken-cd property.
>>>
>>> How does that GPIO get manipulated right now? I assume you must be
>>> manually configuring it via sysfs after boot or something? If so,
>>> perhaps it's best to just leave out the WiFi node until it works
>>> automatically.
>>
>> The GPIO needs to be set from user-space, yes. But if we leave the Wifi
>> node out, I'm concerned that wireless will not be usable at all,
>> wouldn't it?
>
> True, but if we have no representation of the device in DT that works
> without manually enabling clocks and/or GPIOs, it's not a
> complete/accurate representation of the HW, so it doesn't make sense to
> add it to DT. Yes, I admit that sucks.

Well, I can always enable it in my out-of-tree branch until we can push 
the complete binding in mainline, so I'm ok with taking it out of this 
patch for now.